import type { UmbPropertyEditorUiElement, UmbPropertyEditorConfigCollection } from '../../core/property-editor/index.js';
import { UmbLitElement } from '../../core/lit-element/index.js';
export interface UmbTimeZonePickerValue {
    mode: string;
    timeZones: Array<string>;
}
declare const UmbPropertyEditorUITimeZonePickerElement_base: import("../../../libs/extension-api/index.js").HTMLElementConstructor<import("../../core/validation/index.js").UmbFormControlMixinElement<UmbTimeZonePickerValue | undefined>> & typeof UmbLitElement;
/**
 * @element umb-property-editor-ui-time-zone-picker
 */
export declare class UmbPropertyEditorUITimeZonePickerElement extends UmbPropertyEditorUITimeZonePickerElement_base implements UmbPropertyEditorUiElement {
    #private;
    private _supportedModes;
    private _selectedTimeZones;
    set value(value: UmbTimeZonePickerValue | undefined);
    get value(): UmbTimeZonePickerValue | undefined;
    readonly: boolean;
    config?: UmbPropertyEditorConfigCollection;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
    static readonly styles: import("lit").CSSResult[];
}
export default UmbPropertyEditorUITimeZonePickerElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-property-editor-ui-time-zone-picker': UmbPropertyEditorUITimeZonePickerElement;
    }
}
